<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/Error/Result.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_d508a0eab6b76134c567d58373fd733b.html">Error</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Result.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_result_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_ERROR_RESULT_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_ERROR_RESULT_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span>utils {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span>error {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> TStatus, <span class="keyword">typename</span> TValue&gt;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">   31</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">Result</a> {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keyword">inline</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a559c7b77e18b452b6c7b45201dbcff43">Result</a>(TStatus <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a0ec25235aaaa3a4cf5b37bd5ed20b1a4">status</a>, TValue <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#ac9ae7a2c110f82a57140c50f0e5fb8d1">value</a>);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keyword">inline</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a559c7b77e18b452b6c7b45201dbcff43">Result</a>(TStatus <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a0ec25235aaaa3a4cf5b37bd5ed20b1a4">status</a>);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keyword">inline</span> TStatus <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a0ec25235aaaa3a4cf5b37bd5ed20b1a4">status</a>();</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="keyword">inline</span> TValue&amp; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#ac9ae7a2c110f82a57140c50f0e5fb8d1">value</a>();</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    TStatus m_status;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    TValue m_value;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;};</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> TStatus, <span class="keyword">typename</span> TValue&gt;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a559c7b77e18b452b6c7b45201dbcff43">   71</a></span>&#160;<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a559c7b77e18b452b6c7b45201dbcff43">Result&lt;TStatus, TValue&gt;::Result</a>(TStatus status, TValue value) : m_status{status}, m_value(value) {</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;}</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> TStatus, <span class="keyword">typename</span> TValue&gt;</div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a8dda94e664067d9f23462d6afc5342eb">   75</a></span>&#160;<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">Result&lt;TStatus, TValue&gt;::Result</a>(TStatus status) : m_status{status} {</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;}</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> TStatus, <span class="keyword">typename</span> TValue&gt;</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#ac9ae7a2c110f82a57140c50f0e5fb8d1">   79</a></span>&#160;TValue&amp; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">Result&lt;TStatus, TValue&gt;::value</a>() {</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordflow">return</span> m_value;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;}</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> TStatus, <span class="keyword">typename</span> TValue&gt;</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a0ec25235aaaa3a4cf5b37bd5ed20b1a4">   84</a></span>&#160;TStatus <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">Result&lt;TStatus, TValue&gt;::status</a>() {</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordflow">return</span> m_status;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;}</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;}  <span class="comment">// namespace error</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;}  <span class="comment">// namespace utils</span></div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_ERROR_RESULT_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result_html_a559c7b77e18b452b6c7b45201dbcff43"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a559c7b77e18b452b6c7b45201dbcff43">alexaClientSDK::avsCommon::utils::error::Result::Result</a></div><div class="ttdeci">Result(TStatus status, TValue value)</div><div class="ttdef"><b>Definition:</b> Result.h:71</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result_html_a0ec25235aaaa3a4cf5b37bd5ed20b1a4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a0ec25235aaaa3a4cf5b37bd5ed20b1a4">alexaClientSDK::avsCommon::utils::error::Result::status</a></div><div class="ttdeci">TStatus status()</div><div class="ttdef"><b>Definition:</b> Result.h:84</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">alexaClientSDK::avsCommon::utils::error::Result</a></div><div class="ttdef"><b>Definition:</b> Result.h:31</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result_html_ac9ae7a2c110f82a57140c50f0e5fb8d1"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#ac9ae7a2c110f82a57140c50f0e5fb8d1">alexaClientSDK::avsCommon::utils::error::Result::value</a></div><div class="ttdeci">TValue &amp; value()</div><div class="ttdef"><b>Definition:</b> Result.h:79</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
